# cv::StarFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::StarFeatureDetector:

List of all members.

## Public Member Functions

virtual void | read (const FileNode &fn)
| StarFeatureDetector (int maxSize, int responseThreshold=30, int lineThresholdProjected=10, int lineThresholdBinarized=8, int suppressNonmaxSize=5)
| StarFeatureDetector (const CvStarDetectorParams &params=cvStarDetectorParams())
virtual void | write (FileStorage &fs) const

## Protected Member Functions

virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes

StarDetector | star

## Constructor & Destructor Documentation

cv::StarFeatureDetector::StarFeatureDetector | ( | const CvStarDetectorParams & | params = `cvStarDetectorParams()` ) |

cv::StarFeatureDetector::StarFeatureDetector | ( | int | maxSize,
|  | int | responseThreshold = `30`,
|  | int | lineThresholdProjected = `10`,
|  | int | lineThresholdBinarized = `8`,
|  | int | suppressNonmaxSize = `5`
| ) |  |

## Member Function Documentation

virtual void cv::StarFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual void cv::StarFeatureDetector::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::FeatureDetector.

virtual void cv::StarFeatureDetector::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

StarDetector cv::StarFeatureDetector::star`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines